***

title: create
slug: /reference/typescript/rest/fabric/ai-agents/create
description: Create a new AI agent resource.
max-toc-depth: 3
---------------------

For a complete index of all SignalWire documentation pages, fetch https://signalwire.com/docs/llms.txt

Create a new AI agent resource.

<EndpointSchemaSnippet endpoint="POST /api/fabric/resources/ai_agents" />

## **Response Example**

<EndpointResponseSnippet endpoint="POST /api/fabric/resources/ai_agents" />

## **Example**

```typescript {9}
import { RestClient } from "@signalwire/sdk";

const client = new RestClient({
  project: "your-project-id",
  token: "your-api-token",
  host: "your-space.signalwire.com",
});

const result = await client.fabric.aiAgents.create({
  name: "support-bot",
  agent_id: "support-bot-001",
  prompt: { text: "You are a helpful support agent." },
});
console.log(`Created: ${result.id}`);
```